Summary:        Perl Pollution Portability header generator
Name:           perl-Devel-PPPort
Version:        3.68
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-PPPort
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Devel-PPPort-%{version}.tar.gz

BuildRequires:  make gcc coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.3 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Config) perl(strict) perl(vars)

# Tests:
BuildRequires:  perl(DynaLoader) perl(File::Path) perl(FindBin)
BuildRequires:  perl(less) perl(lib) perl(Tie::Hash)
BuildRequires:  perl(warnings) perl(utf8)


%description
The header file written by this module, typically ppport.h, attempts to bring some of 
the newer Perl API features to older versions of Perl, so that you can worry less about 
keeping track of old releases, but users can still reap the benefit.

%prep
%autosetup -n Devel-PPPort-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes HACKERS README soak TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.68-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Cheng Xin <denisecheng@tencent.com> - 3.68-1
- package init.
